SND_REGISTER_DEVICE_(9)

NAME
snd_register_device_for_dev - Register the ALSA device file for the card

SYNOPSIS

int snd_register_device_for_dev(int type, struct snd_card * card, int dev, const struct file_operations * f_ops, void * private_data, const char * name, struct device * device);

ARGUMENTS

type
    the device type, SNDRV_DEVICE_TYPE_XXX

card
    the card instance

dev
    the device index

f_ops
    the file operations

private_data
    user pointer for f_ops->open

name
    the device file name

device
    the struct device to link this new device to

DESCRIPTION

Registers an ALSA device file for the given card. The operators have to be set in reg parameter.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT